#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


DESTDIR = $(CURDIR)/debian/k8jam
#CFLAGS = -Wall -g

#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif

# GNU89INLINE = -fgnu89-inline
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	GNU89INLINE = MAEMO47=1 USE_THUMB=1
	PROF =
else
ifneq (,$(findstring k8maemo47,$(DEB_BUILD_OPTIONS)))
	GNU89INLINE = MAEMO47=1
	PROF =
else
	GNU89INLINE =
	PROF = PROFILE=noopt
endif
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	sh $(CURDIR)/0build.sh
	$(CURDIR)/bin.unix/jam configure --prefix=/usr
	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# Add here commands to configure the package.
	$(CURDIR)/bin.unix/jam -a $(GNU89INLINE) $(PROF)
	touch $@


clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Add here commands to clean up after the build process.
	rm -f build-stamp configure-stamp || true
	rm -f Jamrules.auto.configure || true
	#$(CURDIR)/bin.unix/jam distclean || true
	rm -rf $(DESTDIR) || true

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into $(DESTDIR)
	DESTDIR=$(DESTDIR) $(CURDIR)/bin.unix/jam install $(GNU89INLINE) $(PROF)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
